%define module_name MobileDetect
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(LWP/Protocol.pm) perl(LWP/Protocol/https.pm) perl(Storable.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.21
Release: alt2
Summary: The great new MobileDetect Library for Perl is finally available!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SE/SENGER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Check a given string against the Mobile Detect Library that can be found here: https://github.com/serbanghita/Mobile-Detect
I have prepared a Perl Version, because there is no such thing in perl and i also want to show my support for Mr. .'erban Ghi.'.'
and his fine piece of PHP Software.

The newest Version 1.15 has build in flat file database support, where the content of the downloaded json file is being preparsed
and can be read into memory with the needed hash structure for perl to process. 

This is the Perl Version. You need to setup LWP with HTTPS Support before (needed to regulary update the Mobile_Detect.json file
_from github).

_Install needed modules example:
_From the bash call :"cpan"
_cpan [1] Promt: call "install JSON"
_cpan [2] Promt: call "install JSON::XS"
_cpan [3] Promt: call "install LWP::Protocol"
_cpan [4] Promt: call "install LWP::Protocol::https"
_cpan [5] Promt: call "install Storable"

%prep
%setup -q -n %{module_name}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/M*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.21-alt2
- updated summary

* Sat Dec 17 2016 Igor Vlasenko <viy@altlinux.ru> 1.21-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 1.18-alt1
- regenerated from template by package builder

* Mon Nov 24 2014 Igor Vlasenko <viy@altlinux.ru> 1.16-alt1
- initial import by package builder

